LIBVDEPLUG_HUB(1)

NAME
libvdeplug_hub - multiplexing vdeplug module: hub

SYNOPSIS
libvdeplug_hub.so

DESCRIPTION
This is a libvdeplug multiplex module implementing a virtual networking hub.

This module of libvdeplug4 can be used in any program supporting vde like vde_plug, kvm, qemu, user-mode-linux and virtualbox.

The vde_plug_url syntax of this module is the following:
    hub://[path]
    hub://[path][[OPTION][/OPTION][/OPTION]...]

If path is omitted the path of the hub is /tmp/vdenode_$USERNAME (e.g. /tmp/vdenode_john if the username is john).

OPTIONS

mode=MODE
    define the permissions for the hub (see chmod). MODE is an octal number. The standard permission mask is: 0600 (only processes owning to the same user can join the network).

dirmode=DIRMODE
    define the permissions for the hub control directory(see chmod). MODE is an octal number. If omitted, is computed from mode.

grp=GROUP
    define the group ownership of the hub.

EXAMPLES
hub:///tmp/hub
Other virtual machines, namespaces or vde_plug can join this hub using vde:///tmp/hub or simply /tmp/hub
hub:///tmp/hub[mode=0666]
It is the same hub, but everybody is allowed to connect their processes.

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_plug(1),